Groovy Documentation

## org.codehaus.groovy.ast.builder
[Groovy] Class AstStringCompiler

    java.lang.Object
      org.codehaus.groovy.ast.builder.AstStringCompiler

    @PackageScope
    class AstStringCompiler
    extends java.lang.Object

This class handles converting Strings to ASTNode lists.

Authors:
  Hamlet D'Arcy

Method Summary
`java.util.List` | `compile(java.lang.String script, CompilePhase compilePhase, boolean statementsOnly)` Performs the String source to java.util.List of ASTNode.

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### compile

    java.util.List compile(java.lang.String script, CompilePhase compilePhase, boolean statementsOnly)

  Performs the String source to java.util.List of ASTNode.
  Parameters:
    `script` - a Groovy script in String form
    `compilePhase` - the int based CompilePhase to compile it to.
    statementsOnly

Groovy Documentation